Subject: different rising and falling Ramp dV

From: Mike LaBonte <[email-masked]>
Date: Thu, 22 Mar 2001 18:19:01 -0500

Many IBIS models have different values for dV in the dV/dt_r and dV/dt_f.
The clipping below from IBIS spec shows an example. But the usage rules
imply that dV must be 60% of the voltage swing. If the voltage swing is
measured between the 2 steady-state voltages, then how could you have
different values for rise and fall dV? If there is variation in how
simulators handle the Ramp dV values, then this may matter.

Mike LaBonte

|=============================================================================
|     Keyword:  [Ramp]
|    Required:  Yes, except for inputs, terminators, Series and Series_switch
|               model types.
| Description:  Defines the rise and fall times of a buffer.  The ramp rate
|               does not include packaging but does include the effects of the
|               C_comp parameter.
|  Sub-Params:  dV/dt_r, dV/dt_f, R_load
| Usage Rules:  The rise and fall time is defined as the time it takes the
|               output to go from 20% to 80% of its final value.  The ramp
|               rate is defined as:
|
|               dV          20% to 80% voltage swing
|               -- = ----------------------------------------
|               dt   Time it takes to swing the above voltage
|
|               The ramp rate must be specified as an explicit fraction and
|               must not be reduced.  The [Ramp] values can use "NA" for the
|               min and max values only.  The R_load subparameter is optional
|               if the default 50 ohm load is used.  The R_load subparameter
|               is required if a non-standard load is used.
|-----------------------------------------------------------------------------
[Ramp]
| variable      typ             min             max
dV/dt_r         2.20/1.06n      1.92/1.28n      2.49/650p
dV/dt_f         2.46/1.21n      2.21/1.54n      2.70/770p
R_load = 300ohms

---

From: Al Davis <[email-masked]>
Date: Fri, 23 Mar 2001 00:58:44 -0800

On Thu, 22 Mar 2001, Mike LaBonte wrote:
> Many IBIS models have different values for dV in the dV/dt_r and
> dV/dt_f. The clipping below from IBIS spec shows an example. But
> the usage rules imply that dV must be 60% of the voltage swing. If
> the voltage swing is measured between the 2 steady-state voltages,
> then how could you have different values for rise and fall dV? If
> there is variation in how simulators handle the Ramp dV values,
> then this may matter.

There is definitely variation in how simulators handle it.  I am 
aware of some that look only at dt, assuming the changes in load 
change the voltages, and it really is 20% to 80%.  I am aware of 
others that look only at the quotient, assuming that the 20% and 80% 
are only suggestions, and the modeler specified what was actually 
tested.  I have seen other variations, too.